import request from '@/utils/request'

// 查询特种设备报告列表
export function listSpecReport(query) {
  return request({
    url: '/sems/specReport/list',
    method: 'get',
    params: query
  })
}

// 查询特种设备报告详细
export function getSpecReport(id) {
  return request({
    url: '/sems/specReport/' + id,
    method: 'get'
  })
}

// 新增特种设备报告
export function addSpecReport(data) {
  return request({
    url: '/sems/specReport',
    method: 'post',
    data: data
  })
}

// 修改特种设备报告
export function updateSpecReport(data) {
  return request({
    url: '/sems/specReport',
    method: 'put',
    data: data
  })
}

// 删除特种设备报告
export function delSpecReport(id) {
  return request({
    url: '/sems/specReport/' + id,
    method: 'delete'
  })
}

// 导出特种设备报告
export function exportSpecReport(query) {
  return request({
    url: '/sems/specReport/export',
    method: 'get',
    params: query
  })
}
